1.14b released

Timinator

Diabloii.Net Member
Otherwise known as basically not worth bothering for, unless there is cool undocumented stuff:

Specific Changes & Improvements
Glide Wrapper will now load properly on PC by adding -3dfx to the end of the game shortcut
Mercenaries will no longer become “An Evil Force”
Fixed Mac client crash on “Save & Exit”
Capped the frame rate to 200 to save batteries, spare system load, and prevent hot lap syndrome
Created new German installers to fix localization issues in Act V (Will require a fresh install to fix the missing dialogue data)
 

Timinator

Diabloii.Net Member
it is for mac users, they can spend more time running, less time recovering from crashes.

It also is for laptop users who spend more playing, less time in the emergency room recovering from 2nd degree burns.
 

krischan

Europe Trade Moderator
FYI, I had to run the game as administrator to get it patched. That was on Vista. This time, it didn't screw up the Windows colors like it did when restarting after the 1.14a patch :)

Let's see what happens on my other Win7 computer...
 

T72on1

Diabloii.Net Member
I tried to upgrade using the Bnet install, but BNet rebooted when the patch was at 98%. After that the patch refused to complete. When I tried to run the game as admin, I got a fatal error, stating that I should do a full re-install and patch from there.

Luckily enough I still managed to sort things out by using the manual 1.14b patch. Things seem all fine now.
 

helvete

Diabloii.Net Member
I still don't see a reason to upgrade. And my 1.13 grail is still missing 5 uniques. And I've started playing 1.00. And 1.07. Then I'll play some 1.09b and 1.09d, before I move on to 1.10a and 1.10s =)

1.14 does nothing for me, except possibly disabling my option of using a version swithcer and muling programs....
 

Timinator

Diabloii.Net Member
Why 1.09d, it breaks things, adds nothing compared to B, unless you dont' want CtC teleport on your occy. Perhaps you keep your version switcher for 1.00 up to 1.13 then have another folder for the 1.14 stuff. There will be more coming by the sounds of it. Muling programs appear fine so far with 1.14
 

T72on1

Diabloii.Net Member
I wouldn't upgrade if it weren't for my weekly group game at this point. But yeah, there's probably more to come.
 

helvete

Diabloii.Net Member
Why 1.09d, it breaks things, adds nothing compared to B, unless you dont' want CtC teleport on your occy. Perhaps you keep your version switcher for 1.00 up to 1.13 then have another folder for the 1.14 stuff. There will be more coming by the sounds of it. Muling programs appear fine so far with 1.14
Good point. I must have thought of something else in error.

The version swithcer (bliss) I'm currently using edits the registry, so until I have it confirmed that it won't be broken, I'm staying with my old versions.

Also, is there actually a glide wrapper included with 1.14b or does it refer to the 3rd party program we have come to know and love?
 
Top